Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::AppModuleGallery Class Reference

The gallery app module adds functionality to review images and videos. More...

`#include <AppModuleGallery.h>`

Inheritance diagram for ArgusSamples::AppModuleGallery:

List of all members.

## Public Member Functions
| AppModuleGallery ()
virtual | ~AppModuleGallery ()
IAppModule methods
virtual bool | initialize (Options &options)
| Initialize.
virtual bool | shutdown ()
| Shut down.
virtual bool | start (Window::IGuiMenuBar *iGuiMenuBar=NULL, Window::IGuiContainer *iGuiContainerConfig=NULL)
| Start the module.
virtual bool | stop ()
| Stop the module.
Public Member Functions inherited from ArgusSamples::IAppModule
| IAppModule ()
virtual | ~IAppModule ()

## Static Public Member Functions
option callbacks
static bool | prevItem (void *userPtr, const char *optArg)
static bool | nextItem (void *userPtr, const char *optArg)
static bool | togglePlayBack (void *userPtr, const char *optArg)
static bool | rewind (void *userPtr, const char *optArg)

## Private Member Functions
IKeyObserver methods
virtual bool | onKey (const Key &key)

## Private Attributes
bool | m_initialized
| set if initialized
bool | m_running
| set if running
TaskGallery | m_gallery
| gallery task
Window::IGuiContainer * | m_guiContainerConfig
| configuration GUI container
Window::IGuiContainerGrid * | m_guiConfig
| configuration GUI

## Detailed Description

The gallery app module adds functionality to review images and videos.

Definition at line 41 of file AppModuleGallery.h.

## Constructor & Destructor Documentation

ArgusSamples::AppModuleGallery::AppModuleGallery | ( |  | ) |

Definition at line 73 of file AppModuleGallery.cpp.

ArgusSamples::AppModuleGallery::~AppModuleGallery | ( |  | ) |
| virtual

Definition at line 81 of file AppModuleGallery.cpp.

## Member Function Documentation

bool ArgusSamples::AppModuleGallery::initialize | ( | Options & | options | ) |
| virtual

Initialize.

Parameters:

  [in] | options | each app module can add options

Implements ArgusSamples::IAppModule.

Definition at line 86 of file AppModuleGallery.cpp.

bool ArgusSamples::AppModuleGallery::nextItem | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |
| static

Definition at line 46 of file AppModuleGallery.cpp.

bool ArgusSamples::AppModuleGallery::onKey | ( | const Key & | key | ) |
| private virtual

Definition at line 188 of file AppModuleGallery.cpp.

bool ArgusSamples::AppModuleGallery::prevItem | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |
| static

Definition at line 37 of file AppModuleGallery.cpp.

bool ArgusSamples::AppModuleGallery::rewind | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |
| static

Definition at line 64 of file AppModuleGallery.cpp.

bool ArgusSamples::AppModuleGallery::shutdown | ( |  | ) |
| virtual

Shut down.

Implements ArgusSamples::IAppModule.

Definition at line 98 of file AppModuleGallery.cpp.

bool ArgusSamples::AppModuleGallery::start | ( | Window::IGuiMenuBar * | iGuiMenuBar = `NULL`,
|  | Window::IGuiContainer * | iGuiContainerConfig = `NULL`
| ) |  |
| virtual

Start the module.

Parameters:

  [in] | iGuiMenuBar | optional, the module can add menu items to this menu bar
  [in] | iGuiContainerConfig | optional, the module can add configuration options to this container

Implements ArgusSamples::IAppModule.

Definition at line 112 of file AppModuleGallery.cpp.

bool ArgusSamples::AppModuleGallery::stop | ( |  | ) |
| virtual

Stop the module.

Implements ArgusSamples::IAppModule.

Definition at line 170 of file AppModuleGallery.cpp.

bool ArgusSamples::AppModuleGallery::togglePlayBack | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |
| static

Definition at line 55 of file AppModuleGallery.cpp.

## Member Data Documentation

TaskGallery ArgusSamples::AppModuleGallery::m_gallery
| private

gallery task

Definition at line 67 of file AppModuleGallery.h.

Window::IGuiContainerGrid* ArgusSamples::AppModuleGallery::m_guiConfig
| private

configuration GUI

Definition at line 70 of file AppModuleGallery.h.

Window::IGuiContainer* ArgusSamples::AppModuleGallery::m_guiContainerConfig
| private

configuration GUI container

Definition at line 69 of file AppModuleGallery.h.

bool ArgusSamples::AppModuleGallery::m_initialized
| private

set if initialized

Definition at line 65 of file AppModuleGallery.h.

bool ArgusSamples::AppModuleGallery::m_running
| private

set if running

Definition at line 66 of file AppModuleGallery.h.

The documentation for this class was generated from the following files:

- ui/gallery/AppModuleGallery.h
- ui/gallery/AppModuleGallery.cpp